<!DOCTYPE HTML>
<html lang="en" class="sidebar-visible no-js">
    <head>
        <!-- Book generated using mdBook -->
        <meta charset="UTF-8">
        <title>Web Design 1 - CodeCards</title>
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="theme-color" content="#ffffff" />

        <base href="">

        <link rel="stylesheet" href="book.css">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Source+Code+Pro:500" rel="stylesheet" type="text/css">

        <link rel="shortcut icon" href="favicon.png">

        <!-- Font Awesome -->
        <link rel="stylesheet" href="FontAwesome/css/font-awesome.css">

        <link rel="stylesheet" href="highlight.css">
        <link rel="stylesheet" href="tomorrow-night.css">
        <link rel="stylesheet" href="ayu-highlight.css">

        <!-- Custom theme stylesheets -->
        

        

    </head>
    <body class="light">
        <!-- Work around some values being stored in localStorage wrapped in quotes -->
        <script type="text/javascript">
            try {
                var theme = localStorage.getItem('mdbook-theme');
                var sidebar = localStorage.getItem('mdbook-sidebar');

                if (theme.startsWith('"') && theme.endsWith('"')) {
                    localStorage.setItem('mdbook-theme', theme.slice(1, theme.length - 1));
                }

                if (sidebar.startsWith('"') && sidebar.endsWith('"')) {
                    localStorage.setItem('mdbook-sidebar', sidebar.slice(1, sidebar.length - 1));
                }
            } catch (e) { }
        </script>

        <!-- Set the theme before any content is loaded, prevents flash -->
        <script type="text/javascript">
            var theme;
            try { theme = localStorage.getItem('mdbook-theme'); } catch(e) { } 
            if (theme === null || theme === undefined) { theme = 'light'; }
            document.body.className = theme;
            document.querySelector('html').className = theme + ' js';
        </script>

        <!-- Hide / unhide sidebar before it is displayed -->
        <script type="text/javascript">
            var html = document.querySelector('html');
            var sidebar = 'hidden';
            if (document.body.clientWidth >= 1080) {
                try { sidebar = localStorage.getItem('mdbook-sidebar'); } catch(e) { }
                sidebar = sidebar || 'visible';
            }
            html.classList.remove('sidebar-visible');
            html.classList.add("sidebar-" + sidebar);
        </script>

        <nav id="sidebar" class="sidebar" aria-label="Table of contents">
            <ol class="chapter"><li><a href="01.Welcome.html"><strong aria-hidden="true">1.</strong> Welcome</a></li><li><ol class="section"><li><a href="01.01.Sponsors.html"><strong aria-hidden="true">1.1.</strong> Sponsors</a></li></ol></li><li><a href="02.Getting-Started.html"><strong aria-hidden="true">2.</strong> Getting Started</a></li></ol>
        </nav>

        <div id="page-wrapper" class="page-wrapper">

            <div class="page">
                
                <div id="menu-bar" class="menu-bar">
                    <div id="menu-bar-sticky-container">
                        <div class="left-buttons">
                            <button id="sidebar-toggle" class="icon-button" type="button" title="Toggle Table of Contents" aria-label="Toggle Table of Contents" aria-controls="sidebar">
                                <i class="fa fa-bars"></i>
                            </button>
                            <button id="theme-toggle" class="icon-button" type="button" title="Change theme" aria-label="Change theme" aria-haspopup="true" aria-expanded="false" aria-controls="theme-list">
                                <i class="fa fa-paint-brush"></i>
                            </button>
                            <ul id="theme-list" class="theme-popup" aria-label="Themes" role="menu">
                                <li role="none"><button role="menuitem" class="theme" id="light">Light <span class="default">(default)</span></button></li>
                                <li role="none"><button role="menuitem" class="theme" id="rust">Rust</button></li>
                                <li role="none"><button role="menuitem" class="theme" id="coal">Coal</button></li>
                                <li role="none"><button role="menuitem" class="theme" id="navy">Navy</button></li>
                                <li role="none"><button role="menuitem" class="theme" id="ayu">Ayu</button></li>
                            </ul>
                            
                        </div>

                        <h1 class="menu-title">Web Design 1 - CodeCards</h1> 

                        <div class="right-buttons">
                            <a href="print.html" title="Print this book" aria-label="Print this book">
                                <i id="print-button" class="fa fa-print"></i>
                            </a>
                        </div>
                    </div>
                </div>

                

                <!-- Apply ARIA attributes after the sidebar and the sidebar toggle button are added to the DOM -->
                <script type="text/javascript">
                    document.getElementById('sidebar-toggle').setAttribute('aria-expanded', sidebar === 'visible');
                    document.getElementById('sidebar').setAttribute('aria-hidden', sidebar !== 'visible');
                    Array.from(document.querySelectorAll('#sidebar a')).forEach(function(link) {
                        link.setAttribute('tabIndex', sidebar === 'visible' ? 0 : -1);
                    });
                </script>

                <div id="content" class="content">
                    <main>
                        <a class="header" href="print.html#welcome-to-web-design-1" id="welcome-to-web-design-1"><h1>Welcome to Web Design 1</h1></a>
<p>Welcome to this class about the basics of web design.</p>
<p>In this class, you will design several websites that you can show to your friends!</p>
<a class="header" href="print.html#why-do-i-care" id="why-do-i-care"><h2>Why do I care?</h2></a>
<p>Web design is very fun. It combines science, technology, engineering, and math with art. It can be used for almost anything you can imagine: telling stories, selling products, or changing the world.</p>
<p>Web design is also a great career option, no matter where you live. It can largely be done remotely, and is one of the best ways for people in rural areas to get access to high-tech jobs. Even if you live in an urban area, web designers can make a lot of money, and there is demand all around the world.</p>
<a class="header" href="print.html#navigating-the-instructions" id="navigating-the-instructions"><h2>Navigating the Instructions</h2></a>
<p>These instructions are designed to be easy to navigate. On the left side of the page, you will see the list of pages that we have. If you don't see that, click the three lines in the top left.</p>
<p>To go to the next page, either click the page in the left side or click on the arrow on the right side of the page. You can go back with the left side of the page or the button on the left side of the page.</p>
<a class="header" href="print.html#sponsors" id="sponsors"><h1>Sponsors</h1></a>
<p>This project would not be possible without the amazing support of our sponsors and supporters.</p>
<a class="header" href="print.html#frc-team-100-wildhats" id="frc-team-100-wildhats"><h2>FRC Team 100: Wildhats</h2></a>
<p>Team 100 is a high school robotics team from Woodside High School in Silicon Valley, California. </p>
<a class="header" href="print.html#getting-started" id="getting-started"><h1>Getting Started</h1></a>
<p>Let's get started!</p>
<p>You will want to start by setting up your apps. There are a couple of ways to do this, choose the one for your computer:</p>
<a class="header" href="print.html#i-have-an-internet-connection" id="i-have-an-internet-connection"><h2>I have an Internet Connection</h2></a>
<a class="header" href="print.html#windows" id="windows"><h3>Windows</h3></a>
<a class="header" href="print.html#macos" id="macos"><h3>MacOS</h3></a>
<a class="header" href="print.html#linux" id="linux"><h3>Linux</h3></a>
<p>Open a terminal and run the following commands:</p>
<pre><code class="language-sh">sudo apt-get update
sudo apt-get upgrade
sudo apt-get install firefox
sudo snap install --classic code
</code></pre>
<a class="header" href="print.html#chromebook" id="chromebook"><h3>Chromebook</h3></a>

                    </main>

                    <nav class="nav-wrapper" aria-label="Page navigation">
                        <!-- Mobile navigation buttons -->
                        

                        

                        <div style="clear: both"></div>
                    </nav>
                </div>
            </div>

            <nav class="nav-wide-wrapper" aria-label="Page navigation">
                

                
            </nav>

        </div>

        

        

        

        
        

        <script src="clipboard.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="highlight.js" type="text/javascript" charset="utf-8"></script>
        <script src="book.js" type="text/javascript" charset="utf-8"></script>

        <!-- Custom JS scripts -->
        

        
        
        <script type="text/javascript">
        window.addEventListener('load', function() {
            window.setTimeout(window.print, 100);
        });
        </script>
        
        

    </body>
</html>
